import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {GradeItem, GradeList} from "@/api/grade/types";
import {StudentList} from "@/api/student/types";
/**
 * 获取班级列表（班级select下拉列表）
 */
export function getGradeSelect(id: number): AxiosPromise<GradeList[]> {
  return request({
    url: "/board/v1/choose-grade",
    method: "get",
    params: {school_id: id},
  });
}

/**
 * 班级管理
 * status: 0全部1未结课2已结课
 */
export function getGradeList(id: number, status: number): AxiosPromise<GradeItem[]> {
  return request({
    url: "/board/v1/grade",
    method: "get",
    params: {school_id: id, status: status},
  });
}

/**
 * 班级管理-学生列表
 */
export function getGradeStudents(id: number): AxiosPromise<StudentList[]> {
  return request({
    url: "/board/v1/students",
    method: "get",
    params: {grade_id: id},
  });
}
