import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {StudentBoard, StudentList, StudentManage, StudentParams} from "@/api/student/types";

/**
 * 学生管理
 * //school_id=95&grade_id=35&search=略&page=1&page_size=10
 */
export function getStudentLists(params: StudentParams): AxiosPromise<StudentManage> {
  return request({
    url: "/board/v1/student",
    method: "get",
    params: params,
  });
}
/**
 * 获取学生报告图表数据
 */
export function getStudentBoard(id: number, school_id: number): AxiosPromise<StudentBoard> {
  return request({
    url: "/board/v1/student/" + id,
    method: "get",
    params: {school_id: school_id},
  });
}
