import {TeacherItem} from "@/api/teacher/types";

/**
 * 获取学生管理参数
 */
export interface StudentParams {
  school_id: number;
  grade_id: number;
  page: number;
  page_size: number;
  // 学生名称/手机号
  search: string;
}
/**
 * 学生列表
 */
export interface StudentList {
  // 学生id
  id: number;
  // 学生名称
  name: string;
  // 电话号码
  phone: number;
  // 训练次数
  count: number;
}
export interface StudentManage {
  lists: StudentItem[];
  // 数量
  count: number;
}

/**
 * 学生管理
 */
export interface StudentItem extends StudentList {
  // 学生名称
  create_time: string;
  // 班级名称
  grade_name: string;
}
/**
 * 学生效果分析看板
 */
export interface StudentBoard {
  // 学生名称
  name: string;
  // 电话号码
  phone: number;
  // 训练次数
  count: number;
  // 时间累计(分+秒)
  minute: number;
  second: number;
  // 排序
  sort: number;
  // 训练前雷达图
  front: number[];
  // 训练后雷达图
  after: number[];
  // 高专注力状态数据占比
  height: number;
  // 整体高专注力状态数据累计条数
  height_num: number;
  // 专注力区间分布统计
  percentage: number[];
  //专注力脑电维度数据分析第一个值为专注力均值顺序和雷达图一致
  eeg: StudentEEG[];
}
export interface StudentEEG {
  // 训练前
  front: number[];
  // 训练后
  after: number[];
}
