import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {GradeList} from "@/api/grade/types";
import {TeacherEquipment, TeacherList, TeacherManage} from "@/api/teacher/types";
/**
 * 获取教师管理列表
 */
export function getTeacherManage(id: number, keyword: string): AxiosPromise<TeacherManage> {
  return request({
    url: "/board/v1/teacher",
    method: "get",
    params: {school_id: id, search: keyword},
  });
}
/**
 * 获取教师下拉框列表
 */
export function getTeacherList(id: number): AxiosPromise<TeacherManage> {
  return request({
    url: "/board/v1/teacher",
    method: "get",
    params: {school_id: id},
  });
}

/**
 * 获取教师设备
 */
export function getTeacherEquipment(id: number): AxiosPromise<TeacherEquipment> {
  return request({
    url: "/board/v1/teacher-equipment",
    method: "get",
    params: {teacher_id: id},
  });
}

/**
 * 获取教师班级
 */
export function getTeacherGrade(id: number): AxiosPromise<GradeList[]> {
  return request({
    url: "/board/v1/teacher-class",
    method: "get",
    params: {teacher_id: id},
  });
}
