import {GradeList} from "@/api/grade/types";
/**
 * 教师列表
 */
export interface TeacherManage {
  lists: TeacherItem[];
  // 数量
  count: number;
}

export interface TeacherList {
  // 教师id
  id: number;
  // 教师名称
  name: string;
}

export interface TeacherItem extends TeacherList {
  // 注册时间
  create_time: string;
  phone: string;
  // 折叠面板使用
  active: number[];
  // 教师的设备
  equipment: TeacherEquipment;
  // 负责班级
  grades: GradeList[];
  // 表格行数
  lines: number;
}

export interface TeacherEquipment {
  // 脑机
  AI: Equipment[];
  // 水舞
  SW: Equipment[];
  // 恐龙
  KL: Equipment[];
  // 碰碰车
  PP: Equipment[];
  // SUV
  SU: Equipment[];
  // 赛车
  SC: Equipment[];
  // UFO
  UF: Equipment[];
  // 积木
  JM: Equipment[];
}

export interface Equipment {
  // 设备号
  sn: string;
}
